Subject: Re: JFFS2 FS is read-only (not what I want)

From: David Hawkins <[email-masked]>
Date: Mon, 03 Jul 2006 09:08:19 -0700

Ben Warren wrote:
> Hello,
> 
> When I boot from a JFFS2 file system on my eval board, the file system 
> is effectively read-only, and I can't figure out why.  I'm pretty sure 
> the kernel's configured for R/W MTD block access.  Any help is greatly 
> appreciated.

The default uboot command line on the 8349E was:

bootargs=root=/dev/mtdblock1 rootfstype=jffs2 rw console=ttyS0,115200

so I suspect you have dropped the rw ... try adding that.

> The hardware in use is:
> 
> Freescale MPC8349EMDS eval board.
> 8MB Q-flash with 64 uniform 128k sectors

I'm also working with that board, feel free to contact me off
list and we can compare notes.

When I've finished my evaluation I'll post a link to the list
for anyone else thats interested.

Cheers
Dave